Debian Bug report logs - #421762
ltsp-client-builder: Fail to set correct default X keyboard layout

version graph

Package: ltsp-client-builder; Maintainer for ltsp-client-builder is LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>; Source for ltsp-client-builder is src:ltsp.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Tue, 1 May 2007 10:54:07 UTC

Severity: normal

Found in version ltsp/0.99debian11

Fixed in version ltsp/5.0.8debian1

Done: Vagrant Cascadian <vagrant@freegeek.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#421762; Package ltsp-client-builder. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: ltsp-client-builder: Fail to set correct default X keyboard layout
Date: Tue, 01 May 2007 12:51:51 +0200
Package: ltsp-client-builder
Version: 0.99debian11

When using the ltsp-client-builder udeb to install the LTSP chroot
from within debian-installer, the default X keyboard layout used by
the thin client is not inherited from the keyboard layout setting
selected in debian-installer.  In the Debian Edu subproject, we want
the keyboard layout selected during installation to take effect also
in LTSP, to reduce the amount of configuration required before the
system is ready to use.

I believe this patch solve the problem, by preseeding the
debian-installer/keymap value into the ltsp chroot, and leaving it to
the xserver-xorg postinst script to set the X keyboard layout like it
does on a normal Debian install.  It add a dependency on the
kbd-chooser udeb, to make sure the user selected the keyboard layout
before ltsp-client-builder is executed.

The patch add a new progress bar step as well for the keyboard layout
passing.  Not sure if it make sense or not.

According to Oliver at Ubuntu, they set the keyboard layout using the
locales ltsp-server plugin, by copying the console-setup config from
the server to the client and run locale-gen $LANG.  It might be an
option for Debian too.

--- ltsp-0.99debian11/debian/ltsp-client-builder.postinst       2007-01-11 08:20:46.000000000 +0100
+++ ltsp-0.99debian11-pere/debian/ltsp-client-builder.postinst  2007-05-01 11:47:54.000000000 +0200
@@ -33,12 +33,21 @@

 # if everything is fine, run ltsp-build-client on the target disk

-db_progress START 0 2 ltsp-client-builder/progress
+db_progress START 0 3 ltsp-client-builder/progress

 apt-install ltsp-server

 db_progress STEP 1

+# Make the d-i keyboard layout setting available in the ltsp chroot
+db_get debian-installer/keymap
+if [ "$RET" ] ; then
+    echo "d-i debian-installer/keymap string $RET" > /tmp/ltsp-preseed
+    BUILD_CLIENT_OPTS="$BUILD_CLIENT_OPTS --debconf-seeds /tmp/ltsp-preseed"
+fi
+
+db_progress STEP 1
+
 # workaround for: http://bugs.debian.org/390647
 in-target /bin/touch /etc/resolv.conf

diff -ur ltsp-0.99debian11/debian/control ltsp-0.99debian11-pere/debian/control
--- ltsp-0.99debian11/debian/control    2007-05-01 12:38:35.000000000 +0200
+++ ltsp-0.99debian11-pere/debian/control       2007-01-11 08:20:46.000000000 +0100
@@ -53,7 +53,7 @@
 Section: debian-installer
 XC-Package-Type: udeb
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}, kbd-chooser, pkgsel
+Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
 XB-Installer-Menu-Item: 70
 Description: Build an LTSP environment in the installer target
  This udeb bootstraps the LTSP client chroot in the installer target




Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#421762; Package ltsp-client-builder. Full text and rfc822 format available.

Acknowledgement sent to Oliver Grawert <ogra@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 421762@bugs.debian.org (full text, mbox):

From: Oliver Grawert <ogra@ubuntu.com>
To: Petter Reinholdtsen <pere@hungry.com>, 421762@bugs.debian.org
Subject: Re: [Pkg-ltsp-devel] Bug#421762: ltsp-client-builder: Fail to set correct default X keyboard layout
Date: Tue, 01 May 2007 13:14:24 +0200
[Message part 1 (text/plain, inline)]
hi,
Am Dienstag, den 01.05.2007, 12:51 +0200 schrieb Petter Reinholdtsen:
> Package: ltsp-client-builder
> Version: 0.99debian11
> 
> When using the ltsp-client-builder udeb to install the LTSP chroot
> from within debian-installer, the default X keyboard layout used by
> the thin client is not inherited from the keyboard layout setting
> selected in debian-installer.  In the Debian Edu subproject, we want
> the keyboard layout selected during installation to take effect also
> in LTSP, to reduce the amount of configuration required before the
> system is ready to use.
as discussed on IRC it would be preferable to set such things from an
ltsp-build-client plugin, so eople not installing through d-i get the
benefit as well. i suggest to have a look at the
server/plugins/ltsp-build-client/Ubuntu/025-locales plugin we use in
feisty, probaly you can just add some bits to the debian equivalent.

ciao
	oli
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#421762; Package ltsp-client-builder. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 421762@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 421762@bugs.debian.org
Subject: Re: [Pkg-ltsp-devel] Bug#421762: ltsp-client-builder: Fail to set correct default X keyboard layout
Date: Tue, 1 May 2007 22:40:25 +0200
[Oliver Grawert]
> as discussed on IRC it would be preferable to set such things from
> an ltsp-build-client plugin, so eople not installing through d-i get
> the benefit as well. i suggest to have a look at the
> server/plugins/ltsp-build-client/Ubuntu/025-locales plugin we use in
> feisty, probaly you can just add some bits to the debian equivalent.

I agree.  The problem is that I am unable to find the name of the
keymap used in /etc/ on a Debian/Etch installation, so there is no
value to copy into the ltsp chroot. :(

I understand the console-setup package will solve this, but not for
etch, I suspect.

Here is an updated patch, to work even if $BUILD_CLIENT_OPTS already
include one --debconf-seeds argument, like it do for debian-edu.  It
still do not work, not sure why.  It seem to me that 'db_get
debian-installer/keymap' return nothing, despite the fact that
'debconf-get debian-installer/keymap' return 'no-latin1' when I call
it from the command line on tty2 in d-i.  Clues welcome?

pere@minerva:~/src/debian/ltsp/bzr$ diff -ur ltsp-0.99debian11*
diff -ur ltsp-0.99debian11/debian/control ltsp-0.99debian11-pere/debian/control
--- ltsp-0.99debian11/debian/control    2007-05-01 12:38:35.000000000 +0200
+++ ltsp-0.99debian11-pere/debian/control       2007-01-11 08:20:46.000000000 +0100
@@ -53,7 +53,7 @@
 Section: debian-installer
 XC-Package-Type: udeb
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
+Depends: ${misc:Depends}, ${shlibs:Depends}, kbd-chooser, pkgsel
 XB-Installer-Menu-Item: 70
 Description: Build an LTSP environment in the installer target
  This udeb bootstraps the LTSP client chroot in the installer target
Only in ltsp-0.99debian11/debian: control.~1~
diff -ur ltsp-0.99debian11/debian/ltsp-client-builder.postinst ltsp-0.99debian11-pere/debian/ltsp-client-builder.postinst
--- ltsp-0.99debian11/debian/ltsp-client-builder.postinst       2007-01-11 08:20:46.000000000 +0100
+++ ltsp-0.99debian11-pere/debian/ltsp-client-builder.postinst  2007-05-01 21:48:21.000000000 +0200
@@ -33,12 +33,46 @@

 # if everything is fine, run ltsp-build-client on the target disk

-db_progress START 0 2 ltsp-client-builder/progress
+db_progress START 0 3 ltsp-client-builder/progress

 apt-install ltsp-server

 db_progress STEP 1

+# Make the d-i keyboard layout setting available in the ltsp chroot.
+# It would be better to make a server plugin to do this, but for that
+# to work the keymap name need to be available in /target/.  I was
+# unable to find one in Debian/Etch. [pere 2007-05-01.
+if db_get debian-installer/keymap && [ -n "$RET" ] ; then
+    log "Passing keymap $RET on to LTSP"
+
+    # Parse existing arguments, because only one --debconf-seeds
+    # option is supported by ltsp-build-client
+    if echo "$BUILD_CLIENT_OPTS" | grep -q -- '--debconf-seeds' ; then
+       set -- $BUILD_CLIENT_OPTS
+       while [ ! -z "$1" ] && [ "$1" != "--" ]; do
+           opt="$1"
+           arg="$2"
+           shift
+           case "$opt" in
+               --debconf-seeds)
+                   SEEDFILE=$arg
+                   shift
+                   ;;
+           esac
+       done
+    else
+       SEEDFILE=/tmp/ltsp-preseed
+       BUILD_CLIENT_OPTS="$BUILD_CLIENT_OPTS --debconf-seeds $SEEDFILE"
+    fi
+    touch $SEEDFILE
+    echo "d-i debian-installer/keymap string $RET" >> $SEEDFILE
+else
+    log "No keymap setting found.  Not passing any keymap on to LTSP"
+fi
+
+db_progress STEP 1
+
 # workaround for: http://bugs.debian.org/390647
 in-target /bin/touch /etc/resolv.conf




Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#421762; Package ltsp-client-builder. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 421762@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 421762@bugs.debian.org
Subject: Re: ltsp-client-builder: Fail to set correct default X keyboard layout
Date: Wed, 2 May 2007 10:24:25 +0200
[Petter Reinholdtsen]
> It still do not work, not sure why.

The problem must have been a human error on the testers side.  I've
tested again, this time without editing the postinst script in d-i
manually, and it worked.  Here is an updated patch, fixing a minor
issue with the preseed file not being available in the chroot where
ltsp-build-client is running.

It might be better to not append to the file pointed to by an existing
--debconf-seeds argument in case that file is part of an installed
debian package.  Such change would require more work on the argument
parser.

diff -ur ltsp-0.99debian11/debian/changelog ltsp-0.99debian11-pere/debian/changelog
--- ltsp-0.99debian11/debian/changelog  2007-01-19 13:31:07.000000000 +0100
+++ ltsp-0.99debian11-pere/debian/changelog     2007-05-02 07:27:55.000000000 +0200
@@ -1,3 +1,10 @@
+ltsp (0.99debian11-0.0.edu.etch.1) unstable; urgency=low
+
+  * Add code in the ltsp-client-builder udeb to pass
+    the d-i keyboard setting to LTSP and X.org. (Closes: #421762)
+
+ -- Petter Reinholdtsen <pere@debian.org>  Wed,  2 May 2007 07:25:44 +0200
+
 ltsp (0.99debian11) unstable; urgency=medium

   * urgency medium, as it fixes an RC bug and important bugs
diff -ur ltsp-0.99debian11/debian/control ltsp-0.99debian11-pere/debian/control
--- ltsp-0.99debian11/debian/control    2007-05-02 10:18:57.000000000 +0200
+++ ltsp-0.99debian11-pere/debian/control       2007-05-02 10:18:51.000000000 +0200
@@ -53,7 +53,7 @@
 Section: debian-installer
 XC-Package-Type: udeb
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
+Depends: ${misc:Depends}, ${shlibs:Depends}, kbd-chooser, pkgsel
 XB-Installer-Menu-Item: 70
 Description: Build an LTSP environment in the installer target
  This udeb bootstraps the LTSP client chroot in the installer target
diff -ur ltsp-0.99debian11/debian/ltsp-client-builder.postinst ltsp-0.99debian11-pere/debian/ltsp-client-buil
der.postinst
--- ltsp-0.99debian11/debian/ltsp-client-builder.postinst       2007-01-11 08:20:46.000000000 +0100
+++ ltsp-0.99debian11-pere/debian/ltsp-client-builder.postinst  2007-05-02 07:25:25.000000000 +0200
@@ -33,12 +33,46 @@

 # if everything is fine, run ltsp-build-client on the target disk

-db_progress START 0 2 ltsp-client-builder/progress
+db_progress START 0 3 ltsp-client-builder/progress

 apt-install ltsp-server

 db_progress STEP 1

+# Make the d-i keyboard layout setting available in the ltsp chroot.
+# It would be better to make a server plugin to do this, but for that
+# to work the keymap name need to be available in /target/.  I was
+# unable to find one in Debian/Etch. [pere 2007-05-01.
+if db_get debian-installer/keymap && [ -n "$RET" ] ; then
+    log "Passing keymap $RET on to LTSP"
+
+    # Parse existing arguments, because only one --debconf-seeds
+    # option is supported by ltsp-build-client
+    if echo "$BUILD_CLIENT_OPTS" | grep -q -- '--debconf-seeds' ; then
+       set -- $BUILD_CLIENT_OPTS
+       while [ ! -z "$1" ] && [ "$1" != "--" ] ; do
+           opt="$1"
+           arg="$2"
+           shift
+           case "$opt" in
+               --debconf-seeds)
+                   SEEDFILE=$arg
+                   shift
+                   ;;
+           esac
+       done
+    else
+       SEEDFILE=/tmp/ltsp-preseed
+       BUILD_CLIENT_OPTS="$BUILD_CLIENT_OPTS --debconf-seeds $SEEDFILE"
+    fi
+    touch /target$SEEDFILE
+    echo "d-i debian-installer/keymap string $RET" >> /target$SEEDFILE
+else
+    log "No keymap setting found.  Not passing any keymap on to LTSP"
+fi
+
+db_progress STEP 1
+
 # workaround for: http://bugs.debian.org/390647
 in-target /bin/touch /etc/resolv.conf




Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#421762; Package ltsp-client-builder. Full text and rfc822 format available.

Acknowledgement sent to vagrant@freegeek.org:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 421762@bugs.debian.org (full text, mbox):

From: vagrant@freegeek.org
To: 421762@bugs.debian.org
Subject: Re: Bug#421762: ltsp-client-builder: Fail to set correct default X keyboard layout
Date: Sun, 20 May 2007 05:22:59 -0700
On Tue, May 01, 2007 at 10:40:25PM +0200, Petter Reinholdtsen wrote:
> [Oliver Grawert]
> > as discussed on IRC it would be preferable to set such things from
> > an ltsp-build-client plugin, so eople not installing through d-i get
> > the benefit as well. i suggest to have a look at the
> > server/plugins/ltsp-build-client/Ubuntu/025-locales plugin we use in
> > feisty, probaly you can just add some bits to the debian equivalent.
> 
> I agree.  The problem is that I am unable to find the name of the
> keymap used in /etc/ on a Debian/Etch installation, so there is no
> value to copy into the ltsp chroot. :(
 
ok, no code yet, but i think the way to do this is have the .udeb
preseed the value into /target debconf database, and then a plugin grabs
this value and seeds the created LTSP chroot environment. that way it
will work if used with or without the .udeb, and we don't have to
duplicate code.

live well,
  vagrant



Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#421762; Package ltsp-client-builder. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 421762@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: vagrant@freegeek.org
Cc: 421762@bugs.debian.org
Subject: Re: [Pkg-ltsp-devel] Bug#421762: ltsp-client-builder: Fail to set correct default X keyboard layout
Date: Mon, 21 May 2007 10:08:51 -0300
vagrant@freegeek.org writes:

> On Tue, May 01, 2007 at 10:40:25PM +0200, Petter Reinholdtsen wrote:
>> [Oliver Grawert]
>> > as discussed on IRC it would be preferable to set such things from
>> > an ltsp-build-client plugin, so eople not installing through d-i get
>> > the benefit as well. i suggest to have a look at the
>> > server/plugins/ltsp-build-client/Ubuntu/025-locales plugin we use in
>> > feisty, probaly you can just add some bits to the debian equivalent.
>> 
>> I agree.  The problem is that I am unable to find the name of the
>> keymap used in /etc/ on a Debian/Etch installation, so there is no
>> value to copy into the ltsp chroot. :(
>  
> ok, no code yet, but i think the way to do this is have the .udeb
> preseed the value into /target debconf database, and then a plugin grabs
> this value and seeds the created LTSP chroot environment. that way it
> will work if used with or without the .udeb, and we don't have to
> duplicate code.

Petter has done it for Debian-EDU, would be good to that a look at his fix.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."



Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#421762; Package ltsp-client-builder. Full text and rfc822 format available.

Acknowledgement sent to vagrant@freegeek.org:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 421762@bugs.debian.org (full text, mbox):

From: vagrant@freegeek.org
To: 421762@bugs.debian.org
Subject: Re: Bug#421762: ltsp-client-builder: Fail to set correct default X keyboard layout
Date: Sat, 26 May 2007 12:34:01 -0700
On Mon, May 21, 2007 at 10:08:51AM -0300, Otavio Salvador wrote:
> vagrant@freegeek.org writes:
> > On Tue, May 01, 2007 at 10:40:25PM +0200, Petter Reinholdtsen wrote:
> >> [Oliver Grawert]
> >> > as discussed on IRC it would be preferable to set such things from
> >> > an ltsp-build-client plugin, so eople not installing through d-i get
> >> > the benefit as well. 
...snip...
> >> I agree.  The problem is that I am unable to find the name of the
> >> keymap used in /etc/ on a Debian/Etch installation, so there is no
> >> value to copy into the ltsp chroot. :(
  
> > ok, no code yet, but i think the way to do this is have the .udeb
> > preseed the value into /target debconf database, and then a plugin grabs
> > this value and seeds the created LTSP chroot environment. that way it
> > will work if used with or without the .udeb, and we don't have to
> > duplicate code.
 
> Petter has done it for Debian-EDU, would be good to that a look at his fix.

no, petter's code does everything in the .udeb, which means it will
still be broken if ltsp-build-client is run after installation.

i haven't taken the time to write down my idea, but it shouldn't be too
difficult to implement. though i'll need others to test it.

live well,
  vagrant



Information forwarded to debian-bugs-dist@lists.debian.org, LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#421762; Package ltsp-client-builder. Full text and rfc822 format available.

Acknowledgement sent to vagrant@freegeek.org:
Extra info received and forwarded to list. Copy sent to LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 421762@bugs.debian.org (full text, mbox):

From: vagrant@freegeek.org
To: 421762@bugs.debian.org
Subject: Re: Bug#421762: ltsp-client-builder: Fail to set correct default X keyboard layout
Date: Tue, 29 May 2007 06:32:27 -0700
On Sun, May 20, 2007 at 05:22:59AM -0700, vagrant@freegeek.org wrote:
> ok, no code yet, but i think the way to do this is have the .udeb
> preseed the value into /target debconf database, and then a plugin grabs
> this value and seeds the created LTSP chroot environment. that way it
> will work if used with or without the .udeb, and we don't have to
> duplicate code.

implemented in bzr branch:

http://llama.freegeek.org/~vagrant/bzr/ltsp/features/vagrant-ltsp-keymap

also did an upload to debian-edu, and if they report sucess with it,
i'll include it on the next upload.

live well,
  vagrant



Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2007 00:12:06 GMT) Full text and rfc822 format available.

Reply sent to Vagrant Cascadian <vagrant@freegeek.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 421762-close@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 421762-close@bugs.debian.org
Subject: Bug#421762: fixed in ltsp 5.0.8debian1
Date: Sat, 16 Jun 2007 13:50:49 +0000
Source: ltsp
Source-Version: 5.0.8debian1

We believe that the bug you reported is fixed in the latest version of
ltsp, which is due to be installed in the Debian FTP archive:

ldm_5.0.8debian1_all.deb
  to pool/main/l/ltsp/ldm_5.0.8debian1_all.deb
ltsp-client-builder_5.0.8debian1_all.udeb
  to pool/main/l/ltsp/ltsp-client-builder_5.0.8debian1_all.udeb
ltsp-client-core_5.0.8debian1_i386.deb
  to pool/main/l/ltsp/ltsp-client-core_5.0.8debian1_i386.deb
ltsp-client_5.0.8debian1_all.deb
  to pool/main/l/ltsp/ltsp-client_5.0.8debian1_all.deb
ltsp-server-standalone_5.0.8debian1_all.deb
  to pool/main/l/ltsp/ltsp-server-standalone_5.0.8debian1_all.deb
ltsp-server_5.0.8debian1_all.deb
  to pool/main/l/ltsp/ltsp-server_5.0.8debian1_all.deb
ltsp_5.0.8debian1.dsc
  to pool/main/l/ltsp/ltsp_5.0.8debian1.dsc
ltsp_5.0.8debian1.tar.gz
  to pool/main/l/ltsp/ltsp_5.0.8debian1.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 421762@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vagrant Cascadian <vagrant@freegeek.org> (supplier of updated ltsp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  1 Jun 2007 18:12:14 +0200
Source: ltsp
Binary: ltsp-client-core ltsp-server ltsp-server-standalone ltsp-client ltsp-client-builder ldm
Architecture: source all i386
Version: 5.0.8debian1
Distribution: unstable
Urgency: low
Maintainer: LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Changed-By: Vagrant Cascadian <vagrant@freegeek.org>
Description: 
 ldm        - LTSP display manager
 ltsp-client - LTSP client environment
 ltsp-client-builder - Build an LTSP environment in the installer target (udeb)
 ltsp-client-core - LTSP client environment
 ltsp-server - Basic LTSP server environment
 ltsp-server-standalone - Complete LTSP server environment
Closes: 356986 421324 421762
Changes: 
 ltsp (5.0.8debian1) unstable; urgency=low
 .
   * sync with upstream:
       - support unencrypted LDM logins (LDM_DIRECTX)
       - generate debian/control to reduce Debian/Ubuntu conflicts
 .
   * sync with Ubuntu:
       - local printer support (jetpipe)
       - pulseaudio sound system
 .
   * split ltsp-client into ltsp-client-core and ltsp-client
       - all features (sound/localdev) enabled by default
 .
   * use proper boolean handling for NETWORK_COMPRESSION, based on patch from
     Tim Day.  (Closes: #421324)
 .
   * Add code in the ltsp-client-builder udeb and a ltsp-client-builder plugin
     to pass the d-i keyboard setting to LTSP and X.org. Thanks Petter.
     (Closes: #421762)
 .
   * sound dependencies moved from ltsp-server to ltsp-server-standalone.
     (Closes: #356986)
 .
   * drop support for obsoleted packages from debian sarge
Files: 
 2c97fbbb4a7a3f6cd49fe078702a965f 957 misc extra ltsp_5.0.8debian1.dsc
 b117da1a2dda1b24bc85688430320caa 281456 misc extra ltsp_5.0.8debian1.tar.gz
 1da013f9a22f2f76c0f1004c19107ea4 63958 misc extra ltsp-server_5.0.8debian1_all.deb
 79a03a87b772d882c454eccda75ca0ca 30286 misc extra ltsp-server-standalone_5.0.8debian1_all.deb
 78529c7b714347f230994fd766bdce10 29434 misc extra ltsp-client_5.0.8debian1_all.deb
 e9af71dd3f8436c2ec5977c0a2e4ff30 205292 misc extra ldm_5.0.8debian1_all.deb
 adf9dd7500ab967877879680b38dd9f5 3316 debian-installer extra ltsp-client-builder_5.0.8debian1_all.udeb
 e74b36cd2c65498888bc77e634ada5fa 60092 misc extra ltsp-client-core_5.0.8debian1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGYFkRLqiZQEml+FURAnqIAJ96RwrDMP/9o8GRQpVTQIyCcRBTygCeLkB/
rMtwPBlNeJzm2ITuK+3gQDg=
=WdJS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Jul 2007 07:29:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:02:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.